interactions:
- request:
    body: refresh_token=**********&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&grant_type=refresh_token
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['121']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMuwoCMRBFf2VIbSEKIrYWaqEgFj6akE0uOshu4sy4uIj/LtHqwuGc+3YhRqh6
        y3d0bkFONsfz6Ta7lO18E9cHSZPLcj9Z+Ue+uhG5n+dtKKhygyCQyhN6jvCcKt7lDhXiVVignuvz
        dDYej8hpzP8WiY1urJZlIE7ojG2gdtBnI0iJTakI98HQQjVcoSQIiQQli5GGHqTPpmWro1G4AfXZ
        4D5fOkac2dYAAAA=
    headers:
      CF-RAY: [2c3f007de7e608de-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sun, 17 Jul 2016 16:17:04 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d6c3bf4f0b5cc2c22c2319e0d019a10361468772223; expires=Mon,
          17-Jul-17 16:17:03 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=hWAJu5Cz4FGOU4GpFt;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 16:17:03
          GMT; secure', 'loidcreated=2016-07-17T16%3A17%3A03.972Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 16:17:03 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['__cfduid=d6c3bf4f0b5cc2c22c2319e0d019a10361468772223; expires=Mon,
          17-Jul-17 16:17:03 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=hWAJu5Cz4FGOU4GpFt;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 16:17:03
          GMT; secure', 'loidcreated=2016-07-17T16%3A17%3A03.972Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 16:17:03 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAIGvi1cC/31U23KcMAz9lQzPnU42yXa3/RmNMIJ1MTYj22xoJv9eiWWDaSZ9A+tIOjq6vFU2
        Ag2jCzNR9euhRRfp20N1wQgDWlc8eRwUUaX5N/aVPBgmTNTI2+FwPp4PL6fn0/dHdbYNQcthAA51
        SLEIItlijiP5ZnG8P6+hICezhjudjz/v4ZRLaP7l46zvoUceUF00toeakv59hA3DQD5tKIW1kioz
        Kas38ZEwBHbAjmBkmixdI7jQdcIm5CSgxFljMXU2JmJRS3hA68IVEkVFvFUTskWv35W+Qcchj6oR
        vY7EdiFhteCn5/eF+kRwwVF0sL4DH65bHmwi8SR5mMbASeyb7b9srd+Ajjo0M0RCNhdFtpttCLV1
        BFeqISF3tE+BzR/iHpogrBIkRtNvxpis6WdYZVUFV0MeO0Zpugmht4u0WzWAOQWpps1eFdgZTLKh
        oG2HLjN0tpVAXjSIO6toiV6I0bRPTnnNC2Nw1sybpQ1sROiUxgK+1u8xaRdq9J54s35V+OwoXohS
        1PQ8Xy/Eug2rXSalDlIfGCHQL877xi0dy7JmUvf27Om6dk9m16C5fC5hIS/qNZbJFOMYZWXI6wB8
        0mPEHAl2ibpl4KKwlz7twErhNmnQWBQypVC4CrGrJeZa6DQ2AWdX9jrJnIsQn6WOlHTICsMsuFyL
        xTCOpfwoEzHZpKPLk5XmXdmmQuiPeaLXROU8jUHWjoZ6OSt3sABvQwODCIiwUV8plYFrF0x/X+mv
        6MiduifQRQ66qIfz5iD3rQuu4GCX21UVF1B/qicc/EkPhKKlmNEyrrtwOJ5/PJ5fHl+OivZ1eJXx
        zstxuV9DyWpbKzu/3KIi+BLN3GpUudXhdm91lYo866X12bn3v94SvBcEBgAA
    headers:
      CF-RAY: [2c3f008735521061-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['672']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sun, 17 Jul 2016 16:17:05 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d33b7e09042023d7c5fbefc017d83d7fc1468772225; expires=Mon,
          17-Jul-17 16:17:05 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=2ScAvZyY1yuCzUgUNV;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 16:17:05
          GMT; secure', 'loidcreated=2016-07-17T16%3A17%3A05.517Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 16:17:05 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['__cfduid=d33b7e09042023d7c5fbefc017d83d7fc1468772225; expires=Mon,
          17-Jul-17 16:17:05 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=2ScAvZyY1yuCzUgUNV;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 16:17:05
          GMT; secure', 'loidcreated=2016-07-17T16%3A17%3A05.517Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 16:17:05 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['576.0']
      x-ratelimit-reset: ['175']
      x-ratelimit-used: ['24']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [loid=2ScAvZyY1yuCzUgUNV; __cfduid=d33b7e09042023d7c5fbefc017d83d7fc1468772225;
          loidcreated=2016-07-17T16%3A17%3A05.517Z]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://oauth.reddit.com/user/tyjak/saved.json?sort=new&t=all
  response:
    body:
      string: !!binary |
[encoded data, 18271 characters]
    headers:
      CF-RAY: [2c3f009265d51061-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['12252']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sun, 17 Jul 2016 16:17:25 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['575.0']
      x-ratelimit-reset: ['173']
      x-ratelimit-used: ['25']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=YZ37aCAY7iuivPsY5KK4lVZzY201gPZ2DkWxjCEhKzrOnIVDD7jFVb6vh8pFN3I%2FsIL480%2F1CCc5Xu0Agc81ER%2FZWkxnZCPK']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [loid=2ScAvZyY1yuCzUgUNV; __cfduid=d33b7e09042023d7c5fbefc017d83d7fc1468772225;
          loidcreated=2016-07-17T16%3A17%3A05.517Z]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://oauth.reddit.com/user/tyjak/saved.json?sort=top&t=all
  response:
    body:
      string: !!binary |
[encoded data, 18275 characters]
        AAA=
    headers:
      CF-RAY: [2c3f010bfb691061-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['12257']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sun, 17 Jul 2016 16:17:26 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['574.0']
      x-ratelimit-reset: ['154']
      x-ratelimit-used: ['26']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=t4tGW2%2FwAs1tkbwkSYsD366AFwnOLD0jXHhgPbjBHKyX27Tt1HVqC1F5gom4fJGbIDtq%2FJX71%2FCbLTN9IqE1sVtr%2F8Arbj7Q']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
